*  Last edited: 2/14/2016 by Nicholas Goldstein

	Defines Standards for structures used for storing and moving flight schedule, maintenance schedule and aircraft roster data 
	within the aircraft rostering software.

*/

#include <string>
#include <vector>

struct flightSchedule{
	vector<int> eventType;
	vector<int> aircraftNumber;
	vector<String> aircraftName;
	vector<int> flightNumber;
	vector<String> startLoc;
	vector<String> endLoc;
	vector<int> startTime;
	vector<int> totalTime;
	vector<int> day;
};

struct maintenanceSchedule{
	vector<int> eventType;	
	vector<int> aircraftNumber;
	vector<String> aircraftName;
	vector<int> flightNumber;
	vector<String> startLoc;
	vector<String> endLoc;
	vector<int> startTime;
	vector<int> totalTime;
	vector<int> day;
};

struct aircraftRoster{
	vector<int> aircraftNumber;
	vector<String> aircraftName;
};

